Subject: Re: bug#65461: Cannot compile any Rust projects

From: brian <[email-masked]>
Date: Wed, 23 Aug 2023 14:22:07 -0400

I'd like to propose that the ‘out’ output of gcc-toolchain include the
stub rt, pthread, and dl stub static libraries. This problem comes up on
a very regular basis, and I can think of no reason not to have the
compatibility shims made available.

They contain no code, as they only exist to satisfy linker command
lines, so they're not relevant for grafting purposes. The workaround of
including the static toolchain means that every static library, not just
the empty stubs, is made availible for linking, which is, IMHO, strictly
worse than putting empty .a files into the default output.

WDYT?

-bjc